Page MenuHomePhabricator

Create entity save action
Closed, ResolvedPublic

Description

Patch-For-Review:

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: extend integration test regarding entity save
mediawiki/extensions/Wikibase : masterbridge: add entity save action
mediawiki/extensions/Wikibase : masterbridge: inject WritingEntityRepository everywhere
mediawiki/extensions/Wikibase : masterbridge: add getter for full statements map
mediawiki/extensions/Wikibase : masterbridge: load mediawiki.ForeignApi ResourceLoader module
mediawiki/extensions/Wikibase : masterbridge: add wgUserName to mw.config type+mocks
mediawiki/extensions/Wikibase : masterbridge: split constructor interface from ForeignApi
mediawiki/extensions/Wikibase : masterbridge: fix scriptPath in tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 11:51 AM

Change 533945 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: fix scriptPath in tests

https://gerrit.wikimedia.org/r/533945

Change 533946 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: split constructor interface from ForeignApi

https://gerrit.wikimedia.org/r/533946

Change 533947 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add wgUserName to mw.config type+mocks

https://gerrit.wikimedia.org/r/533947

Change 533948 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: load mediawiki.ForeignApi ResourceLoader module

https://gerrit.wikimedia.org/r/533948

Change 533949 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add getter for full statements map

https://gerrit.wikimedia.org/r/533949

Change 533950 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: inject WritingEntityRepository everywhere

https://gerrit.wikimedia.org/r/533950

Change 533952 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add entity save action

https://gerrit.wikimedia.org/r/533952

Change 533945 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: fix scriptPath in tests

https://gerrit.wikimedia.org/r/533945

Michael updated the task description. (Show Details)Sep 3 2019, 9:40 AM

Change 533946 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: split constructor interface from ForeignApi

https://gerrit.wikimedia.org/r/533946

Change 533947 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add wgUserName to mw.config type+mocks

https://gerrit.wikimedia.org/r/533947

Change 533948 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: load mediawiki.ForeignApi ResourceLoader module

https://gerrit.wikimedia.org/r/533948

Change 533949 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add getter for full statements map

https://gerrit.wikimedia.org/r/533949

Change 533950 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: inject WritingEntityRepository everywhere

https://gerrit.wikimedia.org/r/533950

Change 534601 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: extend integration test regarding entity save

https://gerrit.wikimedia.org/r/534601

All the changes have been +2ed, so this should be done soon. Since it’s not wired up to anything yet, I suppose it doesn’t make sense to move it into the Verification column, so I’ll just wait for the merges to be done and then move to Done directly.

Change 533952 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add entity save action

https://gerrit.wikimedia.org/r/533952

Change 534601 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: extend integration test regarding entity save

https://gerrit.wikimedia.org/r/534601

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 5 2019, 2:58 PM
Lucas_Werkmeister_WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-4 board.

Tested it on localhost, with repo wiki = client wiki, and it turns out ForeignApi doesn’t support that: T208601: ForeignApi adds the origin parameter even if the other wiki is on the same domain (esp. T208601#5475149). I think that shouldn’t be too hard to fix in ForeignApi, so perhaps we can pull that task into our sprint?

With a temporary change from ForeignApi to Api, though, the save works, so I think that’s the only bug :)